ServerEvents.recipes(event => {
	event.remove({output: 'createdeco:cast_iron_ingot'})
	event.remove({output: 'vintageimprovements:cast_iron_sheet'})
	event.remove({output: 'createdeco:cast_iron_nugget'})
	event.remove({output: 'createdeco:netherite_nugget'})
	event.remove({output: 'luckytntmod:uranium_ingot'})
	event.remove({output: 'mekanism:ingot_lead'})
	event.remove({output: 'mekanism:nugget_steel'})
	event.remove({output: 'mekanism:nugget_bronze'})
	event.remove({output: 'mekanism:block_bronze'})
	event.remove({output: 'createindustry:screw'})
	event.remove({output: 'createindustry:rebar'})
	event.remove({output: 'createindustry:heavy_plate'})
	event.remove({output: 'alloyed:steel_sheet'})
	event.remove({output: 'garnished:crushed_ender_pearl'})
	event.remove({output: 'ae2:ender_dust'})
	event.remove({output: 'extendedgears:shaftless_cogwheel', type: "create:deploying"})
	event.remove({output: 'extendedgears:half_shaft_cogwheel', type: "create:deploying"})
	event.remove({output: 'create:andesite_alloy', type: "minecraft:crafting_shaped"})
	event.remove({output: 'create:andesite_alloy', type: "create:mixing"})
	event.remove({output: 'createaddition:electrum_ingot', type: "create:mixing"})
	event.remove({output: 'mekanism:dust_obsidian'})
	event.remove({output: 'mekanism:dust_steel'})
	event.remove({output: 'create:crushed_raw_lead'})
	event.remove({output: 'createaddition:zinc_sheet'})
	event.remove({output: 'vintageimprovements:zinc_sheet'})
	event.remove({output: 'vintageimprovements:bronze_sheet'})
	event.remove({output: 'alloyed:steel_ingot'})
	event.remove({output: 'tcintegrations:bronze_ingot'})
	event.remove({output: 'tcintegrations:bronze_nugget'})
	event.remove({output: 'tconstruct:copper_nugget'})
	event.remove({output: 'mekanism:ingot_steel', type: 'vintageimprovements:unpacking'})
	event.remove({output: 'tconstruct:debris_nugget', input: 'jaopca:create_crushed_ores.netherite_scrap'})
	event.remove({output: 'jaopca:create_crushed_ores.netherite_scrap'})
	event.remove({output: 'jaopca:nuggets.nickel'})
	event.remove({output: 'jaopca:plates.tungsten'})
	event.remove({output: 'jaopca:storage_blocks.rose_quartz'})
	event.remove({output: 'jaopca:rods.tungsten', type: 'minecraft:crafting_shaped'})
	event.remove({output: 'mekanism:ingot_steel', input: '#forge:storage_blocks/steel'})
  	event.replaceInput(
	{ input: 'ae2:ender_dust' },
	'ae2:ender_dust',            // Arg 2: the item to replace
	'#forge:dusts/ender_pearl'         // Arg 3: the item to replace it with
  )
  	event.replaceInput(
	{ input: 'createindustry:sulfur_dust' },
	'createindustry:sulfur_dust',            // Arg 2: the item to replace
	'#forge:dusts/sulfur'         // Arg 3: the item to replace it with
  )
	event.shapeless(
  Item.of('createdeco:cast_iron_nugget', 9), // arg 1: output
	[
		'createindustry:cast_iron_ingot'
	])
	event.shapeless(
  Item.of('v_borne:silver_nugget', 9), // arg 1: output
	[
		'v_borne:silver_ingot'
	])
	event.shapeless(
  Item.of('v_borne:silver_ingot', 1), // arg 1: output
	[
		'9x v_borne:silver_nugget'
	])
	event.shapeless(
  Item.of('v_borne:silver_block', 1), // arg 1: output
	[
		'9x v_borne:silver_ingot'
	])
	event.shapeless(
  Item.of('v_borne:silver_ingot', 9), // arg 1: output
	[
		'v_borne:silver_block'
	])
	event.shapeless(
  Item.of('createindustry:steel_ingot', 1), // arg 1: output
	[
		'9x #forge:nuggets/steel'
	])
	event.shapeless(
  Item.of('jaopca:storage_blocks.rose_quartz', 1), // arg 1: output
	[
		'9x biomesoplenty:rose_quartz_shard'
	])
	event.shaped(
  Item.of('v_borne:rough_andesite_alloy', 1), // arg 1: output
  [
    '   ',
    ' AB', // arg 2: the shape (array of strings)
    ' BA'
  ],
  {
    A: 'minecraft:iron_nugget',
	B: 'minecraft:andesite',
  })
	event.shaped(
  Item.of('v_borne:rough_andesite_alloy', 1), // arg 1: output
  [
    '   ',
    ' AB', // arg 2: the shape (array of strings)
    ' BA'
  ],
  {
    A: 'create:zinc_nugget',
	B: 'minecraft:andesite',
  })
	event.shaped(
  Item.of('createindustry:screw', 8), // arg 1: output
  [
    ' A ',
    ' B ', // arg 2: the shape (array of strings)
    '   '
  ],
  {
    A: '#forge:ingots/steel',
	B: 'createindustry:rebar',
  })
  	event.recipes.create.mixing(
  	'2x createaddition:electrum_ingot',
  	['v_borne:silver_dust',
  	'#forge:dusts/gold']).heated()
  	event.recipes.create.mixing(
  	'v_borne:rough_andesite_alloy',
  	['create:zinc_nugget', 'minecraft:andesite'])
  	event.recipes.create.mixing(
  	'v_borne:rough_andesite_alloy',
  	['minecraft:iron_nugget', 'minecraft:andesite'])
  	event.recipes.create.mixing(
  	['3x v_borne:rough_andesite_alloy'],
  	['2x minecraft:iron_nugget', '2x minecraft:andesite']).heated()
  	event.recipes.create.mixing(
  	['3x v_borne:rough_andesite_alloy'],
  	['2x create:zinc_nugget', '2x minecraft:andesite']).heated()
	event.recipes.create.sandpaper_polishing(
	'create:andesite_alloy',
	'v_borne:rough_andesite_alloy')
	event.stonecutting(
	'3x createindustry:rebar',
	'#forge:ingots/steel')
	event.stonecutting(
	'2x v_borne:martian_rebar',
	'northstar:martian_steel')
	event.stonecutting(
	'jaopca:rods.tungsten',
	'northstar:tungsten_sheet')
	event.recipes.create.pressing([
		'createindustry:heavy_plate',
	], '#forge:ingots/steel')
	event.recipes.create.pressing([
		'v_borne:lapis_sheet',
	], 'minecraft:lapis_block')
	event.recipes.mekanism.crushing(
	'mekanism:dust_emerald',
	'minecraft:emerald')
	event.recipes.mekanism.crushing(
	'mekanism:dust_bronze',
	'alloyed:bronze_ingot')
	event.recipes.mekanism.crushing(
	'mekanism:dust_steel',
	'#forge:ingots/steel')
	event.recipes.mekanism.crushing(
	'jaopca:dusts.zinc',
	'create:zinc_ingot')
	event.recipes.create.crushing(
	['create:crushed_raw_lead', Item.of("v_borne:crushed_raw_silver").withChance(0.50), Item.of("create:experience_nugget").withChance(0.75)],
	'#forge:raw_materials/lead')
	event.recipes.create.crushing(
	['create:crushed_raw_lead', Item.of("create:crushed_raw_lead").withChance(0.75), Item.of("v_borne:crushed_raw_silver").withChance(0.75), Item.of("create:experience_nugget").withChance(0.75), Item.of("minecraft:cobblestone").withChance(0.12)],
	'createindustry:lead_ore')
	event.recipes.create.crushing(
	['create:crushed_raw_lead', 'v_borne:crushed_raw_silver', Item.of("create:crushed_raw_lead").withChance(0.75), Item.of("create:experience_nugget").withChance(0.75), Item.of("minecraft:cobbled_deepslate").withChance(0.12)],
	'createindustry:deepslate_lead_ore')
	event.smelting(
	'v_borne:silver_ingot', 
	'v_borne:crushed_raw_silver')
	event.blasting(
	'v_borne:silver_ingot',
	'v_borne:crushed_raw_silver')
	event.recipes.mekanism.crushing(
	'v_borne:silver_dust',
	'v_borne:silver_ingot')
	event.recipes.create.crushing(
	['ae2:ender_dust', Item.of("ae2:ender_dust").withChance(0.25)],
	'#forge:ender_pearls')
	event.recipes.create.crushing(
	Item.of("minecraft:quartz").withChance(0.75),
	'quark:jasper')
	event.recipes.create.milling(
	'ae2:ender_dust',
	'#forge:ender_pearls')
	event.recipes.create.splashing(
	['9x tconstruct:debris_nugget', Item.of('2x tconstruct:debris_nugget').withChance(0.2)],
	'jaopca:create_crushed_ores.netherite_scrap')
	event.recipes.create.splashing(
	['9x v_borne:nickel_nugget', Item.of('3x mekanism:nugget_osmium').withChance(0.45)],
	'create:crushed_raw_nickel')
	event.recipes.create.crushing(
	['jaopca:create_crushed_ores.netherite_scrap', Item.of("jaopca:create_crushed_ores.netherite_scrap").withChance(0.15), Item.of("minecraft:netherrack").withChance(0.2)],
	'minecraft:ancient_debris')
	event.recipes.create.compacting(
	'minecraft:netherite_scrap',
	'9x tconstruct:debris_nugget')
})